## Index

### Enumerations

- SimilarityMetric

### Classes

- FeatureEmbedding

### Type aliases

- LabeledWeights
- SimilarFeature
- SimilarFeatureOptions
- SimilarFeatures

## Type aliases

### LabeledWeights

LabeledWeights: {}

- Defined in Users/yawjosephetse/Developer/github/repetere/modelx-model/src/feature_embedding.ts:335

#### Type declaration

- ##### [index: string]: Vector

### SimilarFeature

SimilarFeature: { comparedFeature: string; distance: number; proximity: number }

- Defined in Users/yawjosephetse/Developer/github/repetere/modelx-model/src/feature_embedding.ts:349

#### Type declaration

- ##### comparedFeature: string

- ##### distance: number

- ##### proximity: number

### SimilarFeatureOptions

SimilarFeatureOptions: { features?: string[]; labeledWeights?: LabeledWeights; limit?: undefined | number; metric?: SimilarityMetric }

- Defined in Users/yawjosephetse/Developer/github/repetere/modelx-model/src/feature_embedding.ts:342

#### Type declaration

- ##### Optional features?: string[]

- ##### Optional labeledWeights?: LabeledWeights

- ##### Optional limit?: undefined | number

- ##### Optional metric?: SimilarityMetric

### SimilarFeatures

SimilarFeatures: {}

- Defined in Users/yawjosephetse/Developer/github/repetere/modelx-model/src/feature_embedding.ts:348

#### Type declaration

- ##### [index: string]: SimilarFeature[]